FROM keymetrics/pm2:latest-alpine

RUN ["mkdir", "/install"]
#ADD ["./package.json", "/install"]
WORKDIR /install
COPY /oca-sending-gateway-caller/package.json ./
RUN npm install --verbose

ENV NODE_PATH=/install/node_modules

WORKDIR /node/src
COPY /oca-sending-gateway-caller/. .

# Install app dependencies
ENV NPM_CONFIG_LOGLEVEL warn
#RUN npm install 
# Show current folder structure in logs
RUN ls -al -R
# Change current user to www

CMD [ "pm2-runtime", "start", "ecosystem.config.js" ]